package cz.moneta.test.regression.channels.digital.sb;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.mobile.smartbanking.templates.TemplateFiling;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

import static cz.moneta.test.dsl.mobile.smartbanking.landing.SmartBankingLoginKeyboard.*;


@TestScenario(name = "Crate Template")
public class CrateTemplate {

    @Disabled(value = "Test needs to be updated to match changes in appium endpoint changes.")
    @TestCase(name = "Create Template")
    public void createTemplate(Harness harness) {
        TemplateFiling templateFiling = new TemplateFiling();
        harness.withSB()
                .onLandingPage()
                .enterPinUsingKeyboard(harness, KEY_1, KEY_2, KEY_3, KEY_4)
                .onBalanceView()
                .openMenu()
                .clickOnMyTemplate()
                .clickOnAddTemplate()
                .setTemplate(templateFiling)
                .clickOnTemplateCompletion()
                .clickOnTemplateReturn()
                .clickOnTemplateReturnEnd()
                .clickOnMyMoney();
    }
}
